CamelHTMLParser
3
CAMEL Library

# CamelHTMLParser

## Synopsis

                        CamelHTMLParser;
    enum                camel_html_parser_t;
    CamelHTMLParser*    camel_html_parser_new               (void);
    void                camel_html_parser_set_data          (CamelHTMLParser *hp,
                                                             const char *start,
                                                             int len,
                                                             int last);
    camel_html_parser_t camel_html_parser_step              (CamelHTMLParser *hp,
                                                             const char **datap,
                                                             int *lenp);
    const char*         camel_html_parser_left              (CamelHTMLParser *hp,
                                                             int *lenp);
    const char*         camel_html_parser_tag               (CamelHTMLParser *hp);
    const char*         camel_html_parser_attr              (CamelHTMLParser *hp,
                                                             const char *name);
    const GPtrArray*    camel_html_parser_attr_list         (CamelHTMLParser *hp,
                                                             const GPtrArray **values);

## Description

## Details

### CamelHTMLParser

    typedef struct {
    	CamelObject parent;

    	struct _CamelHTMLParserPrivate *priv;
    } CamelHTMLParser;

### enum camel_html_parser_t

    typedef enum _camel_html_parser_t {
    	CAMEL_HTML_PARSER_DATA,			/* raw data */
    	CAMEL_HTML_PARSER_ENT,			/* entity in data */
    	CAMEL_HTML_PARSER_ELEMENT,		/* element (tag + attributes scanned) */
    	CAMEL_HTML_PARSER_TAG,			/* tag */
    	CAMEL_HTML_PARSER_DTDENT,		/* dtd entity? <! blah blah > */
    	CAMEL_HTML_PARSER_COMMENT0,		/* start of comment */
    	CAMEL_HTML_PARSER_COMMENT,		/* body of comment */
    	CAMEL_HTML_PARSER_ATTR0,		/* start of attribute */
    	CAMEL_HTML_PARSER_ATTR,			/* attribute */
    	CAMEL_HTML_PARSER_VAL0,			/* start of value */
    	CAMEL_HTML_PARSER_VAL,			/* value */
    	CAMEL_HTML_PARSER_VAL_ENT,		/* entity in value */
    	CAMEL_HTML_PARSER_EOD,			/* end of current data */
    	CAMEL_HTML_PARSER_EOF			/* end of file */
    } camel_html_parser_t;

### camel_html_parser_new ()

    CamelHTMLParser*    camel_html_parser_new               (void);

Create a new CamelHTMLParser object.

Returns :

  A new CamelHTMLParser widget.

### camel_html_parser_set_data ()

    void                camel_html_parser_set_data          (CamelHTMLParser *hp,
                                                             const char *start,
                                                             int len,
                                                             int last);

`hp` :

`start` :

`len` :

`last` :

### camel_html_parser_step ()

    camel_html_parser_t camel_html_parser_step              (CamelHTMLParser *hp,
                                                             const char **datap,
                                                             int *lenp);

`hp` :

`datap` :

`lenp` :

Returns :

### camel_html_parser_left ()

    const char*         camel_html_parser_left              (CamelHTMLParser *hp,
                                                             int *lenp);

`hp` :

`lenp` :

Returns :

### camel_html_parser_tag ()

    const char*         camel_html_parser_tag               (CamelHTMLParser *hp);

`hp` :

Returns :

### camel_html_parser_attr ()

    const char*         camel_html_parser_attr              (CamelHTMLParser *hp,
                                                             const char *name);

`hp` :

`name` :

Returns :

### camel_html_parser_attr_list ()

    const GPtrArray*    camel_html_parser_attr_list         (CamelHTMLParser *hp,
                                                             const GPtrArray **values);

`hp` :

`values` :

Returns :